/*
llp_ctrl.hh

This C++ header file defines the class LLP_CTRL_MODULE
It was generated with the RCS-Design tool.
Template Version 1.1

MODIFICATIONS:
Mon Dec 25 22:12:35 EST 2000	Created by RCS-Design tool.

*/

// Prevent Multiple Inclusion
#ifndef LLP_CTRL_HH
#define LLP_CTRL_HH

// Include Files
#include "rcs.hh" 	// Common RCS definitions
#include "nml_mod.hh" 	// NML_MODULE definitions
#include "llp.hh" // LLP definitions
// RCS-Design-MERGE-DISABLE Edits to the following area will NOT be preserved by the RCS-Design tool.


#include "llp_ctrln.hh" 	// NML Commands and Status definitions for llp_ctrl
// RCS-Design-MERGE-ENABLE Edits after this line will be preserved by the RCS-Design tool.


class LLP_CTRL_MODULE: public NML_MODULE, public LLP
{
	// RCS-Design-MERGE-DISABLE Edits to the following area will NOT be preserved by the RCS-Design tool.

public:

	LLP_CTRL_MODULE(int _is_base_class = 0); // Constructor

	// Overloaded Virtual Functions
	virtual void PRE_PROCESS();
	virtual void DECISION_PROCESS();
	virtual void POST_PROCESS();
	virtual void INITIALIZE_NML();

	// Command Functions
	virtual void INIT(LLP_CTRL_INIT *);
	virtual void HALT(LLP_CTRL_HALT *);
	virtual void RUN(LLP_CTRL_RUN *);
	virtual void SET_CTRL_INPUT(LLP_CTRL_SET_CTRL_INPUT *);

	// Convenience Variables
	LLP_CTRL_STATUS *llp_ctrl_status;
	// RCS-Design-MERGE-ENABLE Edits after this line will be preserved by the RCS-Design tool.


private:
	// Add custom variables and functions here.
  double best_ctrl[CTRL_ORDER];
};

#endif 	// LLP_CTRL_HH

